// ESA (C) 2000-2018 
//
// This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
//
//    SAS is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    SAS is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with SAS.  If not, see <http://www.gnu.org/licenses/>.
// Module: Rmfgen
// Author: Hassan Siddiqui
//
// Description: Main class for generating RMF
// 
// Comments: 
//  
// Modifications: See ChangeLog
// 
// $Id: Rmfgen.h,v 1.17 2007/06/06 12:42:14 eojero Exp $

#ifndef RMFGEN_H
#define RMFGEN_H

/* General */

/* SAS-specific */
#include "Dal.h"
#include "DatafileAttributes.h"

/* Local */


// ===========================================================================

// class Rmfgen

// ===========================================================================

class Rmfgen
{

public:

void exec();

private:

  void addAttributesTo(Table * table, 
		       const string& hduclas2);

  DatafileAttributes * _specAttributes;

//    string _telescope;
 //   string _instrument;
//    string _datamode;
//    string _filter;
//    string _submode;

//    double _ra;
//    double _dec;
//    double _pa;

//    string _slctexpr;

  unsigned _detchans;

};

#endif
